<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Dynamic Chessboard</title>

    <script src="Resources/jquery-3.2.1.min.js"></script>
</head>

<style>
    #chessboard{
        width: 800px;
        height: 800px;
        background-color: aquamarine;
    }
    .whiteBox{
        width: 100px;
        height: 100px;
        background-color: cadetblue;
        float: left;
    }

    .blackBox{
        width: 100px;
        height: 100px;
        background-color: black;
        float: left;
    }
</style>

<body>
<div id="chessboard">
    <script>

        for(row=1;row<=8;row++){

            if(row&1) className = "blackBox";
            else className = 'whiteBox';

            for(col=1;col<=8;col++) {

                document.write("<div class='"+ className +"'></div>");

                if(className=="blackBox") className = "whiteBox";
                else className = "blackBox";
            } // end of col loop
        }//end of row loop
    </script>

</div>


<script>
    jQuery(document).ready(function () {
        $(".blackBox,.whiteBox").click(function () {
            $(this).fadeOut(1000);
            $(this).fadeIn(1000);

        })
    });
</script>
</body>
</html>